# Google Cloud Billing API . billingAccounts . projects

## Instance Methods

Lists the projects associated with a billing account. The current authenticated user must be an [owner of the billing account](https://support.google.com/cloud/answer/4430947).

Retrieves the next page of results.

### Method Details

`list(name, pageToken=None, x__xgafv=None, pageSize=None)`

    Lists the projects associated with a billing account. The current authenticated user must be an [owner of the billing account](https://support.google.com/cloud/answer/4430947).

    Args:
      name: string, The resource name of the billing account associated with the projects that you want to list. For example, `billingAccounts/012345-567890-ABCDEF`. (required)
      pageToken: string, A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous `ListProjectBillingInfo` call. If unspecified, the first page of results is returned.
      x__xgafv: string, V1 error format.
      pageSize: integer, Requested page size. The maximum page size is 100; this is also the default.

    Returns:
      An object of the form:

        { # Request message for `ListProjectBillingInfoResponse`.
        "nextPageToken": "A String", # A token to retrieve the next page of results. To retrieve the next page, call `ListProjectBillingInfo` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.
        "projectBillingInfo": [ # A list of `ProjectBillingInfo` resources representing the projects associated with the billing account.
          { # Encapsulation of billing information for a Developers Console project. A project has at most one associated billing account at a time (but a billing account can be assigned to multiple projects).
            "projectId": "A String", # The ID of the project that this `ProjectBillingInfo` represents, such as `tokyo-rain-123`. This is a convenience field so that you don't need to parse the `name` field to obtain a project ID. This field is read-only.
            "name": "A String", # The resource name for the `ProjectBillingInfo`; has the form `projects/{project_id}/billingInfo`. For example, the resource name for the billing information for project `tokyo-rain-123` would be `projects/tokyo-rain-123/billingInfo`. This field is read-only.
            "billingEnabled": True or False, # True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services. This field is read-only.
            "billingAccountName": "A String", # The resource name of the billing account associated with the project, if any. For example, `billingAccounts/012345-567890-ABCDEF`.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.